Skip to main content

Get Appointment

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

GETghl.get_appointment

Get detailed information about a specific appointment by ID

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-get-appointment-example",
"method": "tools/call",
"params": {
"name": "ghl.get_appointment",
"arguments": {
"appointmentId": "appointmentId_123",
"tenantId": "tenantId_123"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"appointmentId": {
"type": "string"
}
},
"required": [
"appointmentId"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-get-appointment-example",
"method": "tools/call",
"params": {
"name": "ghl.get_appointment",
"arguments": {
"appointmentId": "appointmentId_123",
"tenantId": "tenantId_123"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.get_appointment executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}